/*
 * Class TRAVERSABLE [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_541 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_541 [] = {0xFF01,237,540,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_541 [] = {0xFF01,540,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_541 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_541 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_541 [] = {0xFF01,540,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_541 [] = {0xFF01,540,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_541 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_541 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_541 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_541 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_541 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_541 [] = {540,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_541 [] = {0xFF01,540,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_541 [] = {0xFF01,535,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_541 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_541 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_541[] = {
	{EIF_GENERIC(NULL), 2228, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_541), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_541), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_541), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_541), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_541), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_541), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_541), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_541), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_541), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_541), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_541), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_541), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_541), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_541), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1886, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_541), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_541), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_541), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2229, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2226, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2227, 0xFFFFFFFF},
};
void Init541(void)
{
	IDSC(desc_541, 0, 540);
	IDSC(desc_541 + 1, 1, 540);
	IDSC(desc_541 + 32, 77, 540);
	IDSC(desc_541 + 41, 30, 540);
}


#ifdef __cplusplus
}
#endif
